Welcome to Geeklog Friday, September 25 2020 @ 11:14 pm EDT

Geeklog Forums

GL 1.5 and MediaGallery 1.6.1

Page navigation


Ronald

Anonymous
I get a error saying Fatal error:
Call to undefined function: cache_remove_instance() in /home/myhosting/public_html/mydomain/mediagallery/classAlbum.php on line 281

This happens when I try to create a album and try to save it....

Nothing additional in the log files and got no errors installing MediaGallery 1.6.1

Please somebody help....
 Quote

Ronald

Anonymous
After a few more try's I get errors in my error log (Fri 18 Jul 2008 04:16:33 EDT - Someone has tried to illegally access the Media Gallery Configuration page. User id: , Username: , IPSmile

Also it creates the albums only something is not right, I can see PHP code like {!if lang_subalbums} {!if lang_subalbums} and {!if rsslink} {!if url_slideshow} {!if album_description}

weird, is MediaGallery 1.6.1 not compatible with GL 1.5??
 Quote

Status: offline

Dirk

Site Admin
Admin
Registered: 12/01/02
Posts: 13073
Location:Stuttgart, Germany
IIRC, MediaGallery now requires the use of the Cached Template Library. Looks like you didn't install that.

bye, Dirk
 Quote

Ronald

Anonymous
Good point, anybody knows where to download Cached Template Library?
 Quote

Ronald

Anonymous
Uninstalling MediaGallery 1.6.1 also generate errors.... Anybody has tips or tricks how to get a plugin out of the installation ..... :pray: :pray: :pray:

I'm course also stupid to forget to check if the plugin was GL 1.5 compatible :doh: :doh:
 Quote

Status: offline

geiss

Forum User
Full Member
Registered: 10/02/04
Posts: 176
Location:Boise, Idaho
The Caching Template Library can be found at gllabs.org, with install documentation located here.

Hope this helps!

Eric
Synergy - Stability - Style --- Visit us at glfusion.org
 Quote

Status: offline

jmucchiello

Forum User
Full Member
Registered: 29/08/05
Posts: 985
Quote by: Ronald

Uninstalling MediaGallery 1.6.1 also generate errors.... Anybody has tips or tricks how to get a plugin out of the installation ..... :pray: :pray: :pray:

Update your gl_plugins table directly: UPDATE gl_plugins SET pi_enabled = 0 WHERE pi_name = 'mediagallery'
I'm course also stupid to forget to check if the plugin was GL 1.5 compatible :doh: :doh: [/p]
MG 1.6.1 is compatible with GL 1.5 as long as you install CTL first.

I'm surprised it let you install without CTL being present. Was this a fresh install or an upgrade?
 Quote

Status: offline

barrywong

Forum User
Regular Poster
Registered: 12/04/02
Posts: 95
I am trying to download MediaGallery 1.6.1 but can only find 1.50 in the download segment.

Can anyone point me to where I can download the latest version of Media Gallery please? I tried looking for it in glfusion as well not to no avail.

Thanks
 Quote

Status: offline

jmucchiello

Forum User
Full Member
Registered: 29/08/05
Posts: 985
Since splitting glFusion away from Geeklog, Mark no longer supports MG independently from glFusion. The last version of MG that works with stock Geeklog is MG 1.5. Thus that is the only version he left available for download.
 Quote

Status: offline

barrywong

Forum User
Regular Poster
Registered: 12/04/02
Posts: 95
Ok. Thank you for clarifying.
 Quote

Status: offline

Rick78

Forum User
Regular Poster
Registered: 20/10/03
Posts: 98
Hi Guys,

I just upgraded my GL to 1.5 and ran into this very same problem. I cannot find any Cached Template Library on glfusion.org.

I currently have Mediagallery 1.60, and really want to use it with GL 1.5.

Was there a definate solution to this problem?

Thanks,
Rick
 Quote

Guest

Anonymous
No. v1.6.1 not a "problem" per se, but just a version not for Geeklog (v1.5+).
 Quote

Status: offline

::Ben

Forum User
Full Member
Registered: 14/01/05
Posts: 1569
Location:la rochelle, France
Hello,

See 924
It is the last available version for geeklog.

::Ben
I'm available to customise your themes or plugins for your Geeklog CMS
 Quote

Status: offline

jmucchiello

Forum User
Full Member
Registered: 29/08/05
Posts: 985
Quote by: Rick78

Hi Guys,

I just upgraded my GL to 1.5 and ran into this very same problem. I cannot find any Cached Template Library on glfusion.org.


I have a non-glFusion version of CTL sitting in one of my dev Geeklog installs. I'll test it with 1.5.2 (and 1.6.0hg) and upload it. If you don't see it by Friday send me a gentle reminder.
 Quote

Status: offline

Rick78

Forum User
Regular Poster
Registered: 20/10/03
Posts: 98
Thanks.
Eric has provided me with a CTL. I added the lines to my lib-common, but I still have the following on all my items:
{!if lang_subalbums} {!if lang_subalbums}

I do not understand how to get rid of those.
Is the CTL supposed to help with that?

I have backed up my 1.6.0 mediagallery folder and am in the process of downgrading to 1.5.1

Regards,
Rick
 Quote

Status: offline

jmucchiello

Forum User
Full Member
Registered: 29/08/05
Posts: 985
Yes, the CTL should handle that. Not sure what Eric sent you that didn't work though.
 Quote

Status: offline

Rick78

Forum User
Regular Poster
Registered: 20/10/03
Posts: 98
I downloaded ctl-2.3 from 02-03-2008.
I followed the 3 steps in the CACHE_INSTALL file.
I still see those errors on each item.

One thing I am not sure about is editing the config.php file with this:

PHP Formatted Code
$_CONF['use_caching_templates'] = true;
 


I thought the config file was obsolete in GL 1.5.2.

Thanks again,
Rick
 Quote

Status: offline

Rick78

Forum User
Regular Poster
Registered: 20/10/03
Posts: 98
Ok. All is working now on 1.5.1.
What I did:
Disabled MG in plugins.
Renamed my MG folders to .old.
Uploaded 1.5.1 (link from cordiste above).
Enabled MG in plugins.
All my albums where there from the database, but empty.
Clicked the update link on MG in the plugins.
moved the following folders back into the proper locations:
/public_html/mediagallery/mediaobjects: disp, orig, and tn folders

It looks good now, and it seems to be error free for the moment.


Thanks a lot guys!

/Rick
 Quote

Status: offline

jmucchiello

Forum User
Full Member
Registered: 29/08/05
Posts: 985
Quote by: Rick78

I thought the config file was obsolete in GL 1.5.2.


It is. That installer file was written when GL 1.4.1 was the current version.
 Quote

Status: offline

::Ben

Forum User
Full Member
Registered: 14/01/05
Posts: 1569
Location:la rochelle, France
Hello Joe,

Is there any way to make CTL as a plugin?

::Ben
I'm available to customise your themes or plugins for your Geeklog CMS
 Quote

Page navigation

All times are EDT. The time is now 11:14 pm.

  • Normal Topic
  • Sticky Topic
  • Locked Topic
  • New Post
  • Sticky Topic W/ New Post
  • Locked Topic W/ New Post
  •  View Anonymous Posts
  •  Able to post
  •  Filtered HTML Allowed
  •  Censored Content